#include <bits/stdc++.h>
using namespace std;
const long long INF = 1000000009;
const long long MOD = 1000000007;
typedef long long ll;
typedef pair<ll,ll> pll;
typedef vector<ll> vect;
typedef vector<pair<ll,ll>> vll;
ll t,n,m,ind1,ind2,row,x,q,p1,p2;
ll a[32007],p[1007];
set<ll> se;
map<ll,ll> mapl;
string s;
int main()
{ios_base::sync_with_stdio(0);cin.tie(0);cout.tie(0);
    cin >> n;
    for(int i=1;i<=n;i++){
        cin >> a[i];
    }
    cout << 1 << endl;
    cout << 1 << " " << n << endl;
}




